### Function Macro

# GLib STRUCT_MEMBER

#### Declaration [src]

    #define G_STRUCT_MEMBER (
      member_type,
      struct_p,
      struct_offset
    )

#### Description [src]

Returns a member of a structure at a given offset, using the given type.

This function is not directly available to language bindings.

#### Parameters

`member_type`

  Type: `-`

  The type of the struct field.

`struct_p`

  Type: `-`

  A pointer to a struct.

`struct_offset`

  Type: `-`

  The offset of the field from the start of the struct, in bytes.